searchNodes=[{"doc":"Write readable regular expressions in functional style. Examples Match subdomains of example.com : iex&gt; require Re iex&gt; require Re.Chars iex&gt; regex = ...&gt; Re . sequence ( [ ...&gt; Re . one_or_more ( Re . any_of ( [ Re.Chars . any_ascii , Re . any_of ( &#39;.-_&#39; ) ] ) ) , ...&gt; Re . text ( &quot;.example.com&quot; ) ...&gt; ] ) |&gt; Re . compile ( ) ~r/(?:[ \\\\ 0- \\x 7f]| \\. | \\- |_)+ \\. example \\. com/ iex&gt; &quot;hello.example.com&quot; =~ regex true iex&gt; &quot;hello.world.example.com&quot; =~ regex true iex&gt; &quot;hello.orsinium.dev&quot; =~ regex false","ref":"Re.html","title":"Re","type":"module"},{"doc":"Match any of the given patters or symbols. PCRE: [XY] and X|Y Examples iex&gt; rex = Re . any_of ( [ Re . text ( ?a ) , Re . text ( ?b ) ] ) |&gt; Re . compile iex&gt; &quot;a&quot; =~ rex true iex&gt; &quot;b&quot; =~ rex true iex&gt; &quot;c&quot; =~ rex false iex&gt; &quot;a&quot; =~ Re . any_of ( [ ?a , ?b ] ) |&gt; Re . compile true","ref":"Re.html#any_of/1","title":"Re.any_of/1","type":"macro"},{"doc":"Capture the pattern. https://hexdocs.pm/elixir/1.13/Regex.html#module-captures PCRE: (X) Examples iex&gt; rex = Re . sequence ( [ Re . text ( ?a ) , Re . capture ( Re.Chars . any_digit ) ] ) |&gt; Re . compile ~r/a( \\d )/ iex&gt; Regex . run ( rex , &quot;a1&quot; , capture : :all_but_first ) [ &quot;1&quot; ]","ref":"Re.html#capture/1","title":"Re.capture/1","type":"macro"},{"doc":"Named capture of the pattern. https://hexdocs.pm/elixir/1.13/Regex.html#module-captures PCRE: (?P&lt;N&gt;X) Examples iex&gt; rex = Re . sequence ( [ Re . text ( ?a ) , Re . capture ( Re.Chars . any_digit , &quot;number&quot; ) ] ) |&gt; Re . compile ~r/a(?P&lt;number&gt; \\d )/ iex&gt; Regex . named_captures ( rex , &quot;a1&quot; ) %{ &quot;number&quot; =&gt; &quot;1&quot; }","ref":"Re.html#capture/2","title":"Re.capture/2","type":"macro"},{"doc":"Compile Re AST (or string) into native Regex type. The result can be used with any functions from the Regex module. https://hexdocs.pm/elixir/1.13/Regex.html#compile!/2 Examples iex&gt; &quot;1&quot; =~ Re . compile ( Re.Chars . any_digit ) true iex&gt; &quot;a&quot; =~ Re . compile ( Re.Chars . any_digit ) false","ref":"Re.html#compile/2","title":"Re.compile/2","type":"macro"},{"doc":"Group (but not capture) the pattern if needed. Usually, you don't need to call this function. All other functions call this one when needed. PCRE: (?:X) Examples iex&gt; &#39;abc&#39; |&gt; Re . raw |&gt; Re . group |&gt; Re . to_string &quot;(?:abc)&quot;","ref":"Re.html#group/1","title":"Re.group/1","type":"macro"},{"doc":"Match any symbol in the given range. PCRE: [X-Y] Examples iex&gt; rex = Re . in_range ( ?a , ?d ) |&gt; Re . compile ( ) ~r/[a-d]/ iex&gt; &quot;a&quot; =~ rex true iex&gt; &quot;c&quot; =~ rex true iex&gt; &quot;d&quot; =~ rex true iex&gt; &quot;e&quot; =~ rex false","ref":"Re.html#in_range/2","title":"Re.in_range/2","type":"macro"},{"doc":"Guard for matching the internal Re AST representation. Examples iex&gt; Re . is_re ( Re . text ( &quot;hello&quot; ) ) true iex&gt; Re . is_re ( &quot;something else&quot; ) false iex&gt; Re . is_re ( ~r&quot;hi&quot; ) false","ref":"Re.html#is_re/1","title":"Re.is_re/1","type":"macro"},{"doc":"&quot;Ungreedy&quot; the pattern. By default, all patterns greedy and try to match as much as possbile. This function reverts this behavior for the given pattern, making it match as less as possible. PCRE: X? Examples iex&gt; rex = Re . sequence ( [ ...&gt; Re . text ( ?a ) , ...&gt; Re.Chars . any_digit |&gt; Re . one_or_more ( ) |&gt; Re . capture ...&gt; ] ) |&gt; Re . compile ( ) ~r/a( \\d +)/ iex&gt; Regex . run ( rex , &quot;a111&quot; , capture : :all_but_first ) [ &quot;111&quot; ] iex&gt; rex = Re . sequence ( [ ...&gt; Re . text ( ?a ) , ...&gt; Re.Chars . any_digit |&gt; Re . one_or_more ( ) |&gt; Re . lazy |&gt; Re . capture ...&gt; ] ) |&gt; Re . compile ( ) ~r/a( \\d +?)/ iex&gt; Regex . run ( rex , &quot;a111&quot; , capture : :all_but_first ) [ &quot;1&quot; ]","ref":"Re.html#lazy/1","title":"Re.lazy/1","type":"macro"},{"doc":"Match anything except the given symbols. PCRE: [^XY] Examples iex&gt; &quot;a&quot; =~ Re . none_of ( &#39;abc&#39; ) |&gt; Re . compile ( ) false iex&gt; &quot;d&quot; =~ Re . none_of ( &#39;abc&#39; ) |&gt; Re . compile ( ) true","ref":"Re.html#none_of/1","title":"Re.none_of/1","type":"macro"},{"doc":"Match one or more repetitions of the pattern. PCRE: X+ Examples iex&gt; &quot;a&quot; =~ &quot;a&quot; |&gt; Re . text |&gt; Re . one_or_more |&gt; Re . compile ( ) true iex&gt; &quot;aaa&quot; =~ &quot;a&quot; |&gt; Re . text |&gt; Re . one_or_more |&gt; Re . compile ( ) true iex&gt; &quot;b&quot; =~ &quot;a&quot; |&gt; Re . text |&gt; Re . one_or_more |&gt; Re . compile ( ) false iex&gt; &quot;&quot; =~ &quot;a&quot; |&gt; Re . text |&gt; Re . one_or_more |&gt; Re . compile ( ) false","ref":"Re.html#one_or_more/1","title":"Re.one_or_more/1","type":"macro"},{"doc":"Match zero or one repetition of the pattern. PCRE: X?","ref":"Re.html#optional/1","title":"Re.optional/1","type":"macro"},{"doc":"Include a raw regex as is into the resulting pattern. Can be dangerous. Don't let untrusted users to pass values there. Use Re.text if you need the input text to be escaped. Examples iex&gt; &quot;example.com&quot; =~ Re . raw ( &quot;example.com&quot; ) |&gt; Re . compile ( ) true iex&gt; &quot;examplescom&quot; =~ Re . raw ( &quot;example.com&quot; ) |&gt; Re . compile ( ) true iex&gt; &quot;examplscom&quot; =~ Re . raw ( &quot;example.com&quot; ) |&gt; Re . compile ( ) false","ref":"Re.html#raw/1","title":"Re.raw/1","type":"macro"},{"doc":"Match exactly N repetitions of the pattern. PCRE: X{N} Examples iex&gt; rex = Re . text ( &quot;ab&quot; ) |&gt; Re . repeated ( 2 ) |&gt; Re . compile ~r/(?:ab){2}/ iex&gt; &quot;ab&quot; =~ rex false iex&gt; &quot;abab&quot; =~ rex true","ref":"Re.html#repeated/2","title":"Re.repeated/2","type":"macro"},{"doc":"Match from at_least to at_most repetitions of the pattern. PCRE: X{N,M}","ref":"Re.html#repeated/3","title":"Re.repeated/3","type":"macro"},{"doc":"Chain multiple patterns together. PCRE: XY Examples iex&gt; rex = Re . sequence ( [ Re . text ( &quot;a&quot; ) , Re.Chars . any_digit ] ) |&gt; Re . compile iex&gt; &quot;a1&quot; =~ rex true iex&gt; &quot;a&quot; =~ rex false iex&gt; &quot;1&quot; =~ rex false","ref":"Re.html#sequence/1","title":"Re.sequence/1","type":"macro"},{"doc":"Include a text into the resulting pattern. All unsafe symbols will be escaped if necessary. Examples iex&gt; rex = Re . text ( &quot;example.com&quot; ) |&gt; Re . compile ( ) iex&gt; &quot;example.com&quot; =~ rex true iex&gt; &quot;examplescom&quot; =~ rex false","ref":"Re.html#text/1","title":"Re.text/1","type":"macro"},{"doc":"Convert the given Re AST into a string. Examples iex&gt; Re . to_string ( Re.Chars . any_digit ) &quot; \\\\ d&quot; iex&gt; Re . to_string ( Re.Chars . any_ascii ) &quot;[ \\\\ \\\\ 0- \\\\ x7f]&quot;","ref":"Re.html#to_string/1","title":"Re.to_string/1","type":"macro"},{"doc":"Match zero or more repetitions of the pattern. PCRE: X*","ref":"Re.html#zero_or_more/1","title":"Re.zero_or_more/1","type":"macro"},{"doc":"internal Re representation of regular expressions.","ref":"Re.html#t:re_ast/0","title":"Re.re_ast/0","type":"opaque"},{"doc":"Character types definitions for Re. The module defines constants that match a specific set of characters, like &quot;all letters&quot;, &quot;all digits&quot;, &quot;anything except whitespace&quot;, and so on.","ref":"Re.Chars.html","title":"Re.Chars","type":"module"},{"doc":"Matches letters and digits. PCRE: [[:alnum:]] .","ref":"Re.Chars.html#any_alnum/0","title":"Re.Chars.any_alnum/0","type":"macro"},{"doc":"Matches any letters. PCRE: [[:alpha:]] .","ref":"Re.Chars.html#any_alpha/0","title":"Re.Chars.any_alpha/0","type":"macro"},{"doc":"Match any ASCII symbol (code points from 0 to 127). PCRE: [\\\\0-\\x7f] . Examples iex&gt; &quot;a&quot; =~ Re . compile ( Re.Chars . any_ascii ) true iex&gt; &quot; \\x 50&quot; =~ Re . compile ( Re.Chars . any_ascii ) true iex&gt; &quot; \\x 90&quot; =~ Re . compile ( Re.Chars . any_ascii ) false","ref":"Re.Chars.html#any_ascii/0","title":"Re.Chars.any_ascii/0","type":"macro"},{"doc":"Match decimal digit. PCRE: \\d .","ref":"Re.Chars.html#any_digit/0","title":"Re.Chars.any_digit/0","type":"macro"},{"doc":"Matches hexadecimal digits. PCRE: [[:hex:]] .","ref":"Re.Chars.html#any_hex/0","title":"Re.Chars.any_hex/0","type":"macro"},{"doc":"Match any horizontal whitespace symbol. PCRE: \\h .","ref":"Re.Chars.html#any_hspace/0","title":"Re.Chars.any_hspace/0","type":"macro"},{"doc":"Match any Latin-1 symbol (code points from 0 to 255). PCRE: [\\\\0-\\xff] .","ref":"Re.Chars.html#any_latin1/0","title":"Re.Chars.any_latin1/0","type":"macro"},{"doc":"Matches lowercase letters. PCRE: [[:lower:]] .","ref":"Re.Chars.html#any_lower/0","title":"Re.Chars.any_lower/0","type":"macro"},{"doc":"Match any whitespace symbol like space, tab, unicode spaces etc. PCRE: \\s .","ref":"Re.Chars.html#any_space/0","title":"Re.Chars.any_space/0","type":"macro"},{"doc":"Matches uppercase letters. PCRE: [[:upper:]] .","ref":"Re.Chars.html#any_upper/0","title":"Re.Chars.any_upper/0","type":"macro"},{"doc":"Match any vertical whitespace symbol. PCRE: \\v .","ref":"Re.Chars.html#any_vspace/0","title":"Re.Chars.any_vspace/0","type":"macro"},{"doc":"Match any word symbol like letters, numbers etc. PCRE: \\w .","ref":"Re.Chars.html#any_word/0","title":"Re.Chars.any_word/0","type":"macro"},{"doc":"Match any symbol. By default, doesn't match newline. PCRE: . Examples iex&gt; &quot;a&quot; =~ Re . compile ( Re.Chars . anything ) true iex&gt; &quot;?&quot; =~ Re . compile ( Re.Chars . anything ) true","ref":"Re.Chars.html#anything/0","title":"Re.Chars.anything/0","type":"macro"},{"doc":"Match the beginning of each line. PCRE: ^","ref":"Re.Chars.html#beginning_of_line/0","title":"Re.Chars.beginning_of_line/0","type":"macro"},{"doc":"Match the beginning of the whole string. PCRE: \\A","ref":"Re.Chars.html#beginning_of_string/0","title":"Re.Chars.beginning_of_string/0","type":"macro"},{"doc":"Match the end of each line. PCRE: $","ref":"Re.Chars.html#end_of_line/0","title":"Re.Chars.end_of_line/0","type":"macro"},{"doc":"Match the end of the whole string. PCRE: \\z","ref":"Re.Chars.html#end_of_string/0","title":"Re.Chars.end_of_string/0","type":"macro"},{"doc":"Match any symbol except digit. PCRE: \\D .","ref":"Re.Chars.html#not_digit/0","title":"Re.Chars.not_digit/0","type":"macro"},{"doc":"Match any symbol except horizontal whitespaces. PCRE: \\H .","ref":"Re.Chars.html#not_hspace/0","title":"Re.Chars.not_hspace/0","type":"macro"},{"doc":"Match any symbol except whitespace symbols. PCRE: \\S .","ref":"Re.Chars.html#not_space/0","title":"Re.Chars.not_space/0","type":"macro"},{"doc":"Match any symbol except vertical whitespaces. PCRE: \\V .","ref":"Re.Chars.html#not_vspace/0","title":"Re.Chars.not_vspace/0","type":"macro"},{"doc":"Match any symbol except word symbols (letters, numbers etc). PCRE: \\W .","ref":"Re.Chars.html#not_word/0","title":"Re.Chars.not_word/0","type":"macro"},{"doc":"Matches when not at a word boundary. In PCRE, it's called &quot;simple assertion&quot; because it doesn't consume any symbols. PCRE: \\B .","ref":"Re.Chars.html#not_word_boundary/0","title":"Re.Chars.not_word_boundary/0","type":"macro"},{"doc":"Match only space and nothing else. PCRE: .","ref":"Re.Chars.html#space/0","title":"Re.Chars.space/0","type":"macro"},{"doc":"Match the tab symbol and nothing else. PCRE: \\t .","ref":"Re.Chars.html#tab/0","title":"Re.Chars.tab/0","type":"macro"},{"doc":"Matches at a word boundary. In PCRE, it's called &quot;simple assertion&quot; because it doesn't consume any symbols. PCRE: \\b .","ref":"Re.Chars.html#word_boundary/0","title":"Re.Chars.word_boundary/0","type":"macro"},{"doc":"internal Re representation of regular expressions.","ref":"Re.Chars.html#t:re_ast/0","title":"Re.Chars.re_ast/0","type":"opaque"}]